﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Rhenin
{
    public partial class MoveButton : ToolStripButton
    {
        Point mouseStart;

        public MoveButton()
        {
            this.MouseDown += MoveButton_MouseDown;
            this.MouseUp += MoveButton_MouseUp;
            this.MouseMove += MoveButton_MouseMove;
        }

        void MoveButton_MouseMove(object sender, MouseEventArgs e)
        {
            if ((e.Button & System.Windows.Forms.MouseButtons.Left) == System.Windows.Forms.MouseButtons.Left)
            {
                int sa = mouseStart.Y - Cursor.Position.Y;
                Console.WriteLine("oraora");
                mouseStart = Cursor.Position;
                
            }
        }

        void MoveButton_MouseUp(object sender, MouseEventArgs e)
        {
            if ((e.Button & System.Windows.Forms.MouseButtons.Left) == System.Windows.Forms.MouseButtons.Left)
            {
                Cursor.Show();
            }
        }

        void MoveButton_MouseDown(object sender, MouseEventArgs e)
        {
            if ((e.Button & System.Windows.Forms.MouseButtons.Left) == System.Windows.Forms.MouseButtons.Left)
            {
                Cursor.Hide();
                mouseStart = Cursor.Position;
            }
        }

    }
}
